String http_get(String req){
    req = url + req;
    Serial.println(req);
    TelnetMsg(req);        
    
    http.begin(req);

    int httpCode = http.GET();     
    // httpCode will be negative on error
    if(httpCode > 0) {
      // HTTP header has been send and Server response header has been handled
      Serial.printf("[HTTP] GET... code: %d\n", httpCode);
      sprintf(buffer,"[HTTP] GET... code: %d", httpCode);
      TelnetMsg(buffer);              
      // file found at server
      if(httpCode == HTTP_CODE_OK) {
        String payload = http.getString();
        Serial.println(payload);
        TelnetMsg(payload + "\n");        
        return payload;
      }
    } else {
        Serial.printf("[HTTP] GET... failed, error: %s\n", http.errorToString(httpCode).c_str());
        sprintf(buffer,"[HTTP] GET... failed, error: %s\n", http.errorToString(httpCode).c_str());
        TelnetMsg(buffer);              
    }

    http.end();
    

}

void set_nextion(){
  String command = "";
  if (server.hasArg("command")) {
      command = server.arg("command");
      server.send(200);      
      Serial.println ("Nextion command = " + command );
      TelnetMsg( "Nextion command = " + command );
      nextion_set(command);
  }
}



void handleNotFound() {
  String message = "File Not Found\n\n";
  message += "URI: ";
  message += server.uri();
  message += "\nMethod: ";
  message += ( server.method() == HTTP_GET ) ? "GET" : "POST";
  message += "\nArguments: ";
  message += server.args();
  message += "\n";

  for ( uint8_t i = 0; i < server.args(); i++ ) {
    message += " " + server.argName ( i ) + ": " + server.arg ( i ) + "\n";
  }

  server.send ( 404, "text/plain", message );
  TelnetMsg(message);
}

void restart() {

  String response = "";
  response = "Softwarerestart erfolgt";
  server.send ( 200, "text/html", response);

  ESP.restart();

}
