// Laden und speichern der WLAN Einstellungen

bool loadConfig()
{
  // open file for reading.
  File configFile = SPIFFS.open("/cl_conf.txt", "r");
  if (!configFile)
  {
    Serial.println("Failed to open cl_conf.txt.");

    return false;
  }

  // Read content from config file.
  String content = configFile.readString();
  configFile.close();
  
  content.trim();


  // Store SSID and PSK into string vars.
  ssid = getParam(content,"ssid=",";");
  password = getParam(content,"psk=",";");
  host = getParam(content,"hostname=",";");
  url = getParam(content,"url=",";");
  timetosleep = getParam(content,"timetosleep=",";");  
  wakeontouch = getParam(content,"wakeontouch=",";");   
  nexwifistatus = getParam(content,"nexwifistatus=",";");     

  Serial.println("----- file content -----");
  Serial.println(content);
  Serial.println("----- file content -----");
  Serial.println("ssid: " + ssid);
  Serial.println("psk:  " + password);
  Serial.println("hostname:  " + host);  
  Serial.println("url:  " + url);    
  Serial.println("timetosleep:  " + timetosleep);    
  Serial.println("wakeontouch:  " + wakeontouch);        
  Serial.println("nexwifistatus:  " + nexwifistatus);          
  

  return true;
} // loadConfig
